; Hi, colleague!
;
; When I started programming Paradox, I was realy disappointed
; when I found out how much work it takes to create a simple 
; message box, or get the user choice with a simple  Ok - Cancel box.  
; Nothing can be easier than doing it using MsgBoxes.lib.  
; Look at the following code!
;
;
; ------------------------------------------------------
; MsgBoxes.lib contains the following procedures:
;
; PROC MsgBox( cStr )  	
; PROC MsgBoxOn( cStr )
; PROC MsgBoxOff()
; PROC OkBox1( c1 )
; PROC OkBox2( c1, c2 )
; PROC OkCancelBox1( c1 )
; PROC OkCancelBox2( c1, c2 )	   
;
; You can easely change colors, expand ...Box2() to 3,4,.. lines, or
; create your own YesNoBox, etc.  Instructions are provided inside 
; MsgBoxes.sc
;
; To get the password for MsgBoxes.lib, you should send me a check for $5.
; Mark it with MsgBoxes.  I will write the password on the back of your check.
;
; Have fun,
; 
; 
; Andrei Smyk.
; 121 Noriega St.
; San Francisco, CA  94122 
; Tel:(415) 296-3264
; CIS: 73314,1202
;----------------------------------------------------------------------




autolib = "MsgBoxes"

; global Var gnScreenWidth  - can be assigned as a screen width. Default is 80
; global Var gnScreenHeight - can be assigned as a screen height. Default is 25


; !!!! If on the next line you get a message from the debugger 
; "Procedure is not defined" or somthing like that, than you should
; play MsgBoxes first !!!!!!!
MsgBox("Just a message.")
MsgBox("First line;second line;third the longest line of this message")
;-------------------------------------------------------------------------
MsgBoxOn("This message will wait;until MsgBoxOff() is called")

sleep 3000
message "Do some processing here"
sleep 3000
message ""

MsgBoxOff()
;------------------------------------------------------------
OkBox1("You have to respond to this message.")
OkBox2("This message requires confirmation.","Please respond")
;----------------------------------------------------------
beep
if (OkCancelBox1("You can accept or cancel.")) then
	message "you accepted"
else
	message "you canceled"
endif
sleep 2000
message ""
;----------------------------------------------------
beep
if (OkCancelBox2("You can accept or cancel.","Here you may say something else.")) then
	message "you accepted"
else
	message "you canceled"
endif
sleep 2000
message ""
